Bug 717555 - Review Request: packagedb-cli - A CLI for pkgdb
Summary: Review Request: packagedb-cli - A CLI for pkgdb
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 08:38 UTC by Pierre-YvesChibon
Modified: 2011-07-20 15:32 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-07-12 05:06:22 UTC
elad: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-YvesChibon 2011-06-29 08:38:25 UTC
Spec URL: http://pingou.fedorapeople.org/RPMs/packagedb-cli.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/packagedb-cli-1.0.0-1.fc15.src.rpm
Description: 
packagedb-cli is a command line interface of the well-known
packagedb of the Fedora project.

It allows you to manage the ACL for your packages as well
as requesting new ACL for new packages.
It also allows you to orphan and/or retire your package(s).

Comment 1 Pierre-YvesChibon 2011-06-29 08:40:51 UTC
I have uploaded the sources somewhere as a temporary solution for the review

Spec URL: http://pingou.fedorapeople.org/RPMs/packagedb-cli.spec
SRPM URL:
http://pingou.fedorapeople.org/RPMs/packagedb-cli-1.0.0-2.fc15.src.rpm

Comment 2 Elad Alfassa 2011-06-29 08:46:37 UTC
I'll do the review!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Elad Alfassa 2011-06-29 09:04:08 UTC
+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
- Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
- Package owns all the directories it creates.
+ No rpmlint output.
packagedb-cli.noarch: W: spelling-error Summary(en_US) pkgdb -> pkg db, pkg-db, pkg
packagedb-cli.noarch: W: no-manual-page-for-binary pkgdb-cli
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Can be ignored.
+ final provides and requires are sane:
packagedb-cli-1.0.0-2.fc15.noarch.rpm
packagedb-cli = 1.0.0-2.fc15
=
/usr/bin/python  
python-argparse  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
+ Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version



APPROVED!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Pierre-YvesChibon 2011-06-29 09:40:21 UTC
New Package SCM Request
=======================
Package Name: packagedb-cli
Short Description: A CLI for pkgdb
Owners: pingou
Branches: f14 f15 el6
InitialCC: 

I am seeing if we could make it run on el5, there seem to be some dependency issue with argparse. I redo a SCM request later if needed.

Comment 5 Gwyn Ciesla 2011-06-29 12:03:14 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-06-29 14:10:38 UTC
packagedb-cli-1.0.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/packagedb-cli-1.0.0-3.fc14

Comment 7 Fedora Update System 2011-06-29 14:10:46 UTC
packagedb-cli-1.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/packagedb-cli-1.0.0-3.fc15

Comment 8 Fedora Update System 2011-06-29 14:10:53 UTC
packagedb-cli-1.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/packagedb-cli-1.0.0-3.el6

Comment 9 Pierre-YvesChibon 2011-06-29 16:41:31 UTC
New Package SCM Request
=======================
Package Name: packagedb-cli
Short Description: A CLI for pkgdb
Owners: pingou
Branches: el5
InitialCC: 


Since we will have a python26-argparse in epel5, I am requesting the el5 branch as well

Comment 10 Gwyn Ciesla 2011-06-29 17:03:30 UTC
Since this has already been created, submit this as a Package Change
request.

Comment 11 Pierre-YvesChibon 2011-06-29 17:09:53 UTC
Indeed sorry about that.


Package Change Request
======================
Package Name: packagedb-cli
New Branches: el5 
Owners: pingou

Comment 12 Gwyn Ciesla 2011-06-29 17:30:10 UTC
Git done (by process-git-requests).


No worries!  Thanks!

Comment 13 Fedora Update System 2011-06-29 18:06:50 UTC
python26-argparse-1.2.1-3.el5, packagedb-cli-1.0.0-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-argparse-1.2.1-3.el5,packagedb-cli-1.0.0-4.el5

Comment 14 Fedora Update System 2011-06-29 18:26:47 UTC
packagedb-cli-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2011-07-01 15:28:33 UTC
python26-argparse-1.2.1-3.el5,packagedb-cli-1.0.0-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-argparse-1.2.1-3.el5,packagedb-cli-1.0.0-6.el5

Comment 16 Fedora Update System 2011-07-12 05:06:16 UTC
packagedb-cli-1.0.0-6.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2011-07-12 05:11:32 UTC
packagedb-cli-1.0.0-6.fc14 has been pushed to the Fedora 14 stable repository.

Comment 18 Fedora Update System 2011-07-20 15:31:17 UTC
python26-argparse-1.2.1-3.el5, packagedb-cli-1.0.0-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-07-20 15:32:13 UTC
packagedb-cli-1.0.0-6.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.